#include <rtm/Manager.h>
#include <iostream>
#include <string>
#include <stdlib.h>
#include "publisher.h"

void ModuleInit(RTC::Manager* manager)
{
    publisherInit(manager);
    RTC::RtcBase* comp;

    comp = manager->createComponent("Publisher");

    if (comp==NULL)
    {
        std::cerr << "Component create failed." << std::endl;
        abort();
    }

    return;
}

int main (int argc, char** argv)
{
    RTC::Manager* manager;
    manager = RTC::Manager::init(argc, argv);
    manager->init(argc, argv);
    manager->setModuleInitProc(ModuleInit);
    manager->activateManager();
    manager->runManager();

    return 0;
}

